> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Skills

> List all available skills with active status.



## OpenAPI

````yaml /openapi.json get /api/v1/assistant/skills
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistant/skills:
    get:
      tags:
        - Assistant
      summary: List Skills
      description: List all available skills with active status.
      operationId: list_skills_api_v1_assistant_skills_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillsResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SkillsResponse:
      properties:
        available:
          items:
            $ref: '#/components/schemas/SkillInfo'
          type: array
          title: Available
        active:
          items:
            type: string
          type: array
          title: Active
      type: object
      required:
        - available
        - active
      title: SkillsResponse
    SkillInfo:
      properties:
        slug:
          type: string
          title: Slug
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        category:
          type: string
          title: Category
        active:
          type: boolean
          title: Active
      type: object
      required:
        - slug
        - name
        - description
        - category
        - active
      title: SkillInfo
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````